from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XModifyBroadcaster(XInterface, Protocol):
    def addModifyListener(self, aListener: XModifyListener) -> None: ...
    def removeModifyListener(self, aListener: XModifyListener) -> None: ...
